#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ldapdlg.ui'
**
** Created: lör okt 19 20:58:59 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "ldapdlg.h"

#include <qvariant.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a ldapdlg which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ldapdlg::ldapdlg( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ldapdlg" );
    resize( 495, 571 ); 
    setCaption( tr2i18n( "My LDAP Klient" ) );

    ldapBox1 = new QGroupBox( this, "ldapBox1" );
    ldapBox1->setGeometry( QRect( 11, 11, 473, 193 ) ); 
    ldapBox1->setFrameShadow( QGroupBox::Sunken );
    ldapBox1->setTitle( tr2i18n( "Search in LDAP database" ) );

    TextLabel1_2 = new QLabel( ldapBox1, "TextLabel1_2" );
    TextLabel1_2->setGeometry( QRect( 10, 20, 120, 16 ) ); 
    TextLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, TextLabel1_2->sizePolicy().hasHeightForWidth() ) );
    TextLabel1_2->setText( tr2i18n( "LDAP Server:" ) );

    QWidget* privateLayoutWidget = new QWidget( ldapBox1, "Layout23" );
    privateLayoutWidget->setGeometry( QRect( 11, 54, 94, 86 ) ); 
    Layout23 = new QVBoxLayout( privateLayoutWidget, 0, 6, "Layout23"); 

    searchAttr0 = new QComboBox( FALSE, privateLayoutWidget, "searchAttr0" );
    Layout23->addWidget( searchAttr0 );

    searchAttr1 = new QComboBox( FALSE, privateLayoutWidget, "searchAttr1" );
    Layout23->addWidget( searchAttr1 );

    searchAttr2 = new QComboBox( FALSE, privateLayoutWidget, "searchAttr2" );
    Layout23->addWidget( searchAttr2 );

    ldapServSel = new QComboBox( FALSE, ldapBox1, "ldapServSel" );
    ldapServSel->setGeometry( QRect( 130, 20, 330, 22 ) ); 

    QWidget* privateLayoutWidget_2 = new QWidget( ldapBox1, "Layout24" );
    privateLayoutWidget_2->setGeometry( QRect( 111, 54, 348, 86 ) ); 
    Layout24 = new QVBoxLayout( privateLayoutWidget_2, 0, 6, "Layout24"); 

    search0 = new QLineEdit( privateLayoutWidget_2, "search0" );
    Layout24->addWidget( search0 );

    search1 = new QLineEdit( privateLayoutWidget_2, "search1" );
    Layout24->addWidget( search1 );

    search2 = new QLineEdit( privateLayoutWidget_2, "search2" );
    Layout24->addWidget( search2 );

    QWidget* privateLayoutWidget_3 = new QWidget( ldapBox1, "Layout9" );
    privateLayoutWidget_3->setGeometry( QRect( 11, 149, 448, 26 ) ); 
    Layout9 = new QHBoxLayout( privateLayoutWidget_3, 0, 6, "Layout9"); 
    QSpacerItem* spacer = new QSpacerItem( 20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout9->addItem( spacer );

    searchButton = new QPushButton( privateLayoutWidget_3, "searchButton" );
    searchButton->setText( tr2i18n( "Search" ) );
    QToolTip::add( searchButton, tr2i18n( "Perform LDAP search" ) );
    Layout9->addWidget( searchButton );

    cancelButton = new QPushButton( privateLayoutWidget_3, "cancelButton" );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    Layout9->addWidget( cancelButton );

    GroupBox2 = new QGroupBox( this, "GroupBox2" );
    GroupBox2->setGeometry( QRect( 11, 210, 473, 350 ) ); 
    GroupBox2->setTitle( tr2i18n( "Search result" ) );

    QWidget* privateLayoutWidget_4 = new QWidget( GroupBox2, "Layout6" );
    privateLayoutWidget_4->setGeometry( QRect( 10, 310, 450, 33 ) ); 
    Layout6 = new QHBoxLayout( privateLayoutWidget_4, 0, 6, "Layout6"); 

    configButton = new QPushButton( privateLayoutWidget_4, "configButton" );
    configButton->setText( tr2i18n( "Configure" ) );
    Layout6->addWidget( configButton );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout6->addItem( spacer_2 );

    mailto = new QPushButton( privateLayoutWidget_4, "mailto" );
    mailto->setText( tr2i18n( "Mail to..." ) );
    Layout6->addWidget( mailto );

    kab_add = new QPushButton( privateLayoutWidget_4, "kab_add" );
    kab_add->setText( tr2i18n( "Add to KAB" ) );
    Layout6->addWidget( kab_add );

    ldapView = new QListView( GroupBox2, "ldapView" );
    ldapView->setGeometry( QRect( 11, 20, 450, 280 ) ); 
    ldapView->setAllColumnsShowFocus( TRUE );
    ldapView->setShowSortIndicator( TRUE );

    // signals and slots connections
    connect( searchButton, SIGNAL( clicked() ), this, SLOT( slot_doLdapSearch() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( kab_add, SIGNAL( clicked() ), this, SLOT( slot_addToKab() ) );
    connect( ldapServSel, SIGNAL( activated(int) ), this, SLOT( slot_serverChanged() ) );
    connect( configButton, SIGNAL( clicked() ), this, SLOT( slot_configure() ) );
    connect( search0, SIGNAL( returnPressed() ), this, SLOT( slot_doLdapSearch() ) );
    connect( search1, SIGNAL( returnPressed() ), this, SLOT( slot_doLdapSearch() ) );
    connect( search2, SIGNAL( returnPressed() ), this, SLOT( slot_doLdapSearch() ) );
    connect( mailto, SIGNAL( clicked() ), this, SLOT( slot_mailto() ) );

    // tab order
    setTabOrder( search0, search1 );
    setTabOrder( search1, search2 );
    setTabOrder( search2, searchAttr0 );
    setTabOrder( searchAttr0, searchAttr1 );
    setTabOrder( searchAttr1, searchAttr2 );
    setTabOrder( searchAttr2, searchButton );
    setTabOrder( searchButton, cancelButton );
    setTabOrder( cancelButton, ldapView );
    setTabOrder( ldapView, mailto );
    setTabOrder( mailto, kab_add );
    setTabOrder( kab_add, configButton );
    setTabOrder( configButton, ldapServSel );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ldapdlg::~ldapdlg()
{
    // no need to delete child widgets, Qt does it all for us
}

void ldapdlg::slot_mailto()
{
    qWarning( "ldapdlg::slot_mailto(): Not implemented yet!" );
}

void ldapdlg::slot_addToKab()
{
    qWarning( "ldapdlg::slot_addToKab(): Not implemented yet!" );
}

void ldapdlg::slot_configure()
{
    qWarning( "ldapdlg::slot_configure(): Not implemented yet!" );
}

void ldapdlg::slot_doLdapSearch()
{
    qWarning( "ldapdlg::slot_doLdapSearch(): Not implemented yet!" );
}

void ldapdlg::slot_quit()
{
    qWarning( "ldapdlg::slot_quit(): Not implemented yet!" );
}

void ldapdlg::slot_serverChanged()
{
    qWarning( "ldapdlg::slot_serverChanged(): Not implemented yet!" );
}

#include "ldapdlg.moc"
